> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polyrouter.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List events

> Fetch events from prediction market platforms with pagination. Only Polymarket and Kalshi support events.



## OpenAPI

````yaml openapi.json get /events
openapi: 3.1.0
info:
  title: Polyrouter API
  version: 2.0.0
  description: >-
    Unified API for prediction market platforms (Polymarket, Kalshi, Limitless,
    Manifold)
  contact:
    name: Polyrouter
    url: https://polyrouter.io
servers:
  - url: https://api-v2.polyrouter.io
    description: Production
security:
  - apiKey: []
tags:
  - name: Health
    description: Health check and API info
  - name: Markets
    description: Prediction market operations
  - name: Events
    description: Event operations
  - name: Series
    description: Series operations
  - name: Platforms
    description: Platform information
  - name: Search
    description: Search across platforms
  - name: Trades
    description: Historical trades data
  - name: Orderbook
    description: Orderbook data (real-time and historical)
  - name: Sports
    description: Sports betting markets - games, awards, futures, and league info
  - name: Profile
    description: User profiles, trading metrics, and trade history
paths:
  /events:
    get:
      tags:
        - Events
      summary: List events
      description: >-
        Fetch events from prediction market platforms with pagination. Only
        Polymarket and Kalshi support events.
      operationId: listEvents
      parameters:
        - schema:
            type: string
            description: Number of items to return (max 100)
            example: '50'
          required: false
          name: limit
          in: query
        - schema:
            type: string
            description: Pagination cursor from previous response
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            enum:
              - polymarket
              - kalshi
            description: >-
              Filter by specific platform (only polymarket and kalshi support
              events)
          required: false
          name: platform
          in: query
        - schema:
            type: string
            description: Search query - when provided, switches to search mode
            example: bitcoin
          required: false
          name: query
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            description: Include raw platform response data
          required: false
          name: include_raw
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            description: >-
              Include nested markets in events. Defaults to false for v1
              compatibility
          required: false
          name: include_nested
          in: query
      responses:
        '200':
          description: List of events
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    EventsResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/Pagination'
        events:
          type: array
          items:
            $ref: '#/components/schemas/Event'
        meta:
          $ref: '#/components/schemas/Meta'
      required:
        - pagination
        - events
        - meta
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
              example: Resource not found
            timestamp:
              type: string
              format: date-time
              example: '2025-01-01T00:00:00.000Z'
          required:
            - code
            - message
            - timestamp
      required:
        - error
    Pagination:
      type: object
      properties:
        total:
          type: number
          example: 50
        limit:
          type: number
          example: 50
        has_more:
          type: boolean
          example: true
        next_cursor:
          type: string
          nullable: true
          example: WzMsW1swLDEsM11dXQ
      required:
        - total
        - limit
        - has_more
        - next_cursor
    Event:
      type: object
      properties:
        id:
          type: string
          example: '4690'
        platform:
          type: string
          example: polymarket
        platform_id:
          type: string
        series_id:
          type: string
        title:
          type: string
          example: US Presidential Election 2024
        slug:
          type: string
        description:
          type: string
        image_url:
          type: string
        resolution_source_url:
          type: string
        event_start_at:
          type: string
        event_end_at:
          type: string
        market_count:
          type: number
          example: 5
        total_volume:
          type: number
        last_synced_at:
          type: string
        markets:
          type: array
          items:
            $ref: '#/components/schemas/Market'
      required:
        - id
        - platform
        - platform_id
        - title
        - last_synced_at
    Meta:
      type: object
      properties:
        platforms_queried:
          type: array
          items:
            type: string
          example:
            - polymarket
            - kalshi
        request_time:
          type: number
          example: 150
        cache_hit:
          type: boolean
          example: false
        data_freshness:
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
      required:
        - platforms_queried
        - request_time
        - cache_hit
        - data_freshness
    Market:
      type: object
      properties:
        id:
          type: string
          example: KXELONMARS-99
        platform:
          type: string
          example: kalshi
        platform_id:
          type: string
          example: KXELONMARS-99
        event_id:
          type: string
          example: KXELONMARS-99
        event_name:
          type: string
          example: Will Elon Musk visit Mars?
        event_slug:
          type: string
          nullable: true
          example: elon-musk-mars
        series_id:
          type: string
        slug:
          type: string
          example: kxelonmars-99
        market_slug:
          type: string
          example: kxelonmars-99
        title:
          type: string
          example: Will Elon Musk visit Mars before Aug 1, 2099?
        description:
          type: string
        category:
          type: string
          example: Science
        subcategory:
          type: string
          nullable: true
        tags:
          type: array
          nullable: true
          items:
            type: string
        status:
          type: string
          enum:
            - open
            - paused
            - resolved
            - cancelled
          example: open
        market_type:
          type: string
          enum:
            - binary
            - categorical
            - scalar
          example: binary
        outcomes:
          type: array
          items:
            $ref: '#/components/schemas/Outcome'
        current_prices:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PriceDetail'
        volume_24h:
          type: number
          nullable: true
          example: 10000
        volume_7d:
          type: number
          nullable: true
          example: 50000
        volume_total:
          type: number
          nullable: true
          example: 500000
        liquidity:
          type: number
          nullable: true
        liquidity_score:
          type: number
        open_interest:
          type: number
          nullable: true
        unique_traders:
          type: number
          nullable: true
        fee_rate:
          type: number
          nullable: true
        trading_fee:
          type: number
          nullable: true
        withdrawal_fee:
          type: number
          nullable: true
        source_url:
          type: string
          example: https://kalshi.com/markets/kxelonmars-99
        image_url:
          type: string
        created_at:
          type: string
        trading_start_at:
          type: string
          nullable: true
        trading_end_at:
          type: string
        resolution_date:
          type: string
        resolved_at:
          type: string
          nullable: true
        resolution_criteria:
          type: string
          nullable: true
        resolution_source:
          type: string
          nullable: true
        price_24h_changes:
          type: object
          nullable: true
          additionalProperties:
            type: number
        price_7d_changes:
          type: object
          nullable: true
          additionalProperties:
            type: number
        last_trades:
          type: object
          nullable: true
          additionalProperties:
            $ref: '#/components/schemas/LastTradeInfo'
        metadata:
          $ref: '#/components/schemas/MarketMetadata'
        last_synced_at:
          type: string
      required:
        - id
        - platform
        - platform_id
        - title
        - status
        - market_type
        - outcomes
        - current_prices
        - last_synced_at
    Outcome:
      type: object
      properties:
        id:
          type: string
          example: 'yes'
        name:
          type: string
          example: 'Yes'
      required:
        - id
        - name
    PriceDetail:
      type: object
      properties:
        price:
          type: number
          example: 0.65
        bid:
          type: number
          example: 0.64
        ask:
          type: number
          example: 0.66
      required:
        - price
    LastTradeInfo:
      type: object
      properties:
        price:
          type: number
          example: 0.65
        timestamp:
          type: string
          example: '2025-01-01T00:00:00.000Z'
        size:
          type: number
          example: 100
      required:
        - price
        - timestamp
        - size
    MarketMetadata:
      type: object
      properties:
        conditionId:
          type: string
          nullable: true
        ammType:
          type: string
          nullable: true
        marketType:
          type: string
          nullable: true
        formatType:
          type: string
          nullable: true
        competitive:
          type: number
          example: 0
        score:
          type: number
          example: 0
        bestBid:
          type: number
          example: 0.64
        bestAsk:
          type: number
          example: 0.66
        spread:
          type: number
          example: 0.02
        clobTokenIds:
          type: array
          nullable: true
          items:
            type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for authentication

````